"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.promisifyStore = exports.expressSession = void 0;
const events_1 = require("events");
const util_1 = require("util");
const memory_1 = __importDefault(require("./store/memory"));
// no-op for compat
function expressSession(options) { }
exports.expressSession = expressSession;
function ExpressStore() {
    events_1.EventEmitter.call(this);
}
(0, util_1.inherits)(ExpressStore, events_1.EventEmitter);
expressSession.Store = ExpressStore;
function CallbackMemoryStore() {
    this.store = new Map();
}
(0, util_1.inherits)(CallbackMemoryStore, ExpressStore);
CallbackMemoryStore.prototype.get = (0, util_1.callbackify)(memory_1.default.prototype.get);
CallbackMemoryStore.prototype.set = (0, util_1.callbackify)(memory_1.default.prototype.set);
CallbackMemoryStore.prototype.destroy = (0, util_1.callbackify)(memory_1.default.prototype.destroy);
expressSession.MemoryStore = CallbackMemoryStore;
function promisifyStore(store) {
    console.warn('promisifyStore has been deprecated: express-session store still works without using this.');
    return store;
}
exports.promisifyStore = promisifyStore;
